# -*- coding: UTF-8 -*-
import pandas as pd
import os
import psycopg2
def deal(root,fileName,cur):
    data=pd.read_csv(os.path.join(root,fileName),header=None)
    writerFile = open(os.path.join(r"E:\indoorLocationPrediction\8.staypoint_2_60_10_timeOver60_sim_1223", fileName), mode='w')
    for index,row in data.iterrows():
        geojson = "ST_GeomFromGeoJSON('{\"type\":\"Point\",\"coordinates\":[%s,%s]}')" % (row[6], row[7])
        inSQL = "select gid,name from public.allf where floor='%s' and ST_Within(%s,geom)"%(row[8],geojson)
        cur.execute(inSQL)
        storeIds = cur.fetchall()
        if (len(storeIds)==1):
            # print(storeIds[0][0])
            writerFile.write('%s,%s,%s,%s,%s,%s,%s,%s,%s,%s\n' % (
                row[0], row[1], row[2], row[3], row[4], row[5], row[6], row[7], row[8], storeIds[0][0]))
        else:
            tangentSQL = "select gid,name,ST_Distance(%s,ST_ClosestPoint(geom,%s)) dis from public.allf where floor='%s' order by dis" % (
                geojson, geojson, row[8])
            cur.execute(tangentSQL)
            storeIds = cur.fetchall()
            if (len(storeIds)==0):
                continue
            writerFile.write('%s,%s,%s,%s,%s,%s,%s,%s,%s,%s\n' % (
                row[0], row[1], row[2], row[3], row[4], row[5], row[6], row[7], row[8],storeIds[0][0]))
    del writerFile
conn = psycopg2.connect(database="hxstores", user="postgres", password="123456")
cur = conn.cursor()
for root, dirs, files in os.walk(r"E:\indoorLocationPrediction\7.staypoint_2_60_10_timeOver60_1223"):
    for fileName in files:
        deal(root,fileName,cur)
conn.close()